## tkrat 2.2cvs20100105-true-dfsg

=== debian/changelog ===
tkrat (1:2.2cvs20100105-true-dfsg-6ubuntu1) raring; urgency=low

  * Fix build failure with Tcl/Tk multiarch locations.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Apr 2013 10:32:50 +0200

tkrat (1:2.2cvs20100105-true-dfsg-6) unstable; urgency=low

  * Remove doc/Makefile
  * Adapt to current Debian tools
  * Make pkgIndex.tcl by hands (Closes: #634584).
  * Bump to new standards (3.9.3)
  * New compilation flags needed for hardening

 -- Mattia Monga <monga@debian.org>  Fri, 10 Aug 2012 06:39:24 +0200

tkrat (1:2.2cvs20100105-true-dfsg-5) unstable; urgency=low

  * Build always as a Debian Linux system (also on kfreebsd systems)

 -- Mattia Monga <monga@debian.org>  Tue, 01 Jun 2010 07:55:23 +0200

tkrat (1:2.2cvs20100105-true-dfsg-4) unstable; urgency=low

  * Autoconf is needed during build

 -- Mattia Monga <monga@debian.org>  Mon, 31 May 2010 20:35:04 +0200

tkrat (1:2.2cvs20100105-true-dfsg-3) unstable; urgency=low

  * Build configure from configure.in
  * Compile with PAM support (and add build-dependency)
  * Edit configure.in to recognize canonical names in FreeBSD and Hurd
    systems (Closes: #583830).

 -- Mattia Monga <monga@debian.org>  Mon, 31 May 2010 16:41:11 +0200

tkrat (1:2.2cvs20100105-true-dfsg-2) unstable; urgency=low

  * Correct watch file
  * Delete unused patches

 -- Mattia Monga <monga@debian.org>  Mon, 24 May 2010 15:10:13 +0200

tkrat (1:2.2cvs20100105-true-dfsg-1) unstable; urgency=low

  * Bug re-fix: "Upstream source package contains non-free IETF RFC"
    (Closes: #582392).

 -- Mattia Monga <monga@debian.org>  Fri, 21 May 2010 22:58:36 +0200

tkrat (1:2.2cvs20100105-dfsg-2) unstable; urgency=low

  * Lintian cleaning
  * Switch to dpkg-source 3.0 (quilt) format
  * New Git repository

 -- Mattia Monga <monga@debian.org>  Fri, 21 May 2010 11:02:31 +0200

tkrat (1:2.2cvs20100105-dfsg-1) unstable; urgency=low

  * New upstream release
  * Long due acknowledge of NMU (thank you Barry!)

 -- Mattia Monga <monga@debian.org>  Sat, 10 Apr 2010 17:57:19 +0200

tkrat (1:2.2cvs20061117-dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * 04_gnu_build.dpatch. Build on kFreeBSD and Hurd. (Closes: #416461).
    + Thanks to Cyril Brulebois for the patch!.
  * Fix watch file. (Closes: #449959).
  * Add ${misc:Depends} for debhelper package.
  * Bump Standards Version to 3.8.2.
    + Menu policy transition.

 -- Barry deFreese <bdefreese@debian.org>  Mon, 22 Jun 2009 10:59:28 -0400
  

tkrat (1:2.2cvs20061117-dfsg-1) unstable; urgency=low

  * Bug fix: "Source package contains non-free IETF RFC", thanks to Simon
    Josefsson (Closes: #398720). 

 -- Mattia Monga <monga@debian.org>  Sat, 18 Nov 2006 09:28:29 +0100

tkrat (1:2.2cvs20061117-1) unstable; urgency=low

  * (NOT RELEASED YET) New upstream release
  * Upstream bug fix: "tkrat: startup error - unknown environment variable
    USER", thanks to Jari Aalto (Closes: #365424).

 -- Mattia Monga <monga@debian.org>  Sat, 18 Nov 2006 09:16:44 +0100

tkrat (1:2.2cvs20061020-2) unstable; urgency=low

  * Added autoconf to Build-Depends. Bug fix:
    "tkrat_1:2.2cvs20061020-1(ia64/unstable): FTBFS: Missing build-dep?",
    thanks to lamont@debian.org (Closes: #394848).

 -- Mattia Monga <monga@debian.org>  Mon, 23 Oct 2006 15:42:56 +0200

tkrat (1:2.2cvs20061020-1) unstable; urgency=low

  * New upstream release
  * Now uses dpatch
  * Bug fix: "tkrat: please suggest exim4 instead of exim", thanks to
    Adrian Bunk (Closes: #255364).
  * Bug fix: "tkrat: typo in ./configure --help output;
    s/eanbled/enabled/", thanks to Brian Sammon (Closes: #344982, #344981, #259324, #386258).
  * Bug fix: "tkrat: please mention &quot;mail user agent&quot; in 1st
    line of Description", thanks to Jari Aalto (Closes: #365423).

 -- Mattia Monga <monga@debian.org>  Sat, 21 Oct 2006 08:53:38 +0200
