=== debian/control ===
Source: tkrat
Section: mail
Priority: optional
Maintainer: Mattia Monga <monga@debian.org>
Build-Depends: cdbs, quilt, debhelper (>= 9.0.0), dpkg-dev (>= 1.16.1~), autoconf, autotools-dev, libssl-dev, libpam-dev, tk8.5-dev
Build-Conflicts: autoconf2.13
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/collab-maint/tkrat.git
Vcs-browser: http://git.debian.org/?p=collab-maint/tkrat.git
Homepage: http://www.tkrat.org/


Package: tkrat
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, tk8.5
Provides: imap-client, mail-reader
Suggests: exim4 | mail-transport-agent
Description:  Mail user agent with POP, IMAP, mh support using Tk
 TkRat is a graphical Mail User Agent (MUA) which handles MIME. It is
 mainly written in C but the user interface is done in tcl/tk.
 .
 The program currently understands unix mailboxes, POP, IMAP and mh
 folders. It can manage a database of messages associated to events
 triggered by elapsing time intervals. Messages are sent via SMTP or
 any user configured program (for example sendmail).
