=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses cdbs.  Originaly written by Robert Millan.
# This file is public domain.

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

# Add here any variable or target overrides you need
export DEB_BUILD_MAINT_OPTIONS = hardening=-all,+format,+fortify,+relro
include /usr/share/dpkg/buildflags.mk

DEB_AUTO_UPDATE_AUTOCONF = 2.69
DEB_INSTALL_CHANGELOGS_ALL = $(CURDIR)/doc/changes
DEB_MAKE_INSTALL_TARGET = install prefix=$(CURDIR)/debian/tkrat/usr 
DEB_CONFIGURE_LIBEXECDIR = ${DEB_CONFIGURE_PREFIX}/lib/tkrat2.2
DEB_CONFIGURE_EXTRA_FLAGS := --with-tkconfig=/usr/lib/$(DEB_HOST_MULTIARCH)/tk8.5
clean::
	rm -f configure doc/Makefile
